# healthchecktimeout

Sets the number of milliseconds omhttp waits before a health check request times out.

This parameter applies to omhttp: HTTP Output Module.

Name:

  healthchecktimeout

Scope:

  input

Type:

  integer

Default:

  input=3500

Required?:

  no

Introduced:

  Not specified

## Description

The time after which the health check will time out in milliseconds.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        healthCheckTimeout="5000"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.